using Edu.Common.Enum;
using System;
using VT.FW.DB;

namespace Edu.Model.Entity.User
{
    /// <summary>
    /// 字典表
    /// </summary> 
    [Serializable]
    [DB(ConnectionName = "DefaultConnection")]
    public class RB_Dictvalue
    {
        /// <summary>
        /// 主键编号
        /// </summary>       
        public int ID
        {
            get;
            set;
        }

        /// <summary>
        /// 标识
        /// </summary>        
        public string DictKey
        {
            get;
            set;
        }

        /// <summary>
        /// 排序
        /// </summary>        
        public int SNO
        {
            get;
            set;
        }

        /// <summary>
        /// 名称
        /// </summary>        
        public string Name
        {
            get;
            set;
        }

        /// <summary>
        /// 代码
        /// </summary>   
        public string Code
        {
            get;
            set;
        }

        /// <summary>
        /// 内容
        /// </summary>   
        public string Content
        {
            get;
            set;
        }

        /// <summary>
        /// 集团id
        /// </summary>        
        public int? RB_Group_id
        {
            get;
            set;
        }

        /// <summary>
        /// 公司id
        /// </summary>        
        public int? RB_Branch_id
        {
            get;
            set;
        }

        /// <summary>
        /// 操作人
        /// </summary>        
        public int? UpdateBy
        {
            get;
            set;
        }

        /// <summary>
        /// 操作时间
        /// </summary>        
        public DateTime UpdateDate
        {
            get;
            set;
        }

        /// <summary>
        /// 状态
        /// </summary>        
        public DateStateEnum Status
        {
            get;
            set;
        }
    }
}
